Subject: Re: [PATCH 15/16] Add device tree for Ebony

From: Segher Boessenkool <[email-masked]>
Date: Wed, 14 Feb 2007 18:58:04 +0100

>> Did you mean to have UIC1 nested under UIC0 or should
>> they be at the same level?
>
> No, they are cascaded in hardware.  I think having UIC1 under UCI0 is a
> correct representation.

Only the interrupt routing is cascaded AFAICS, and
there is a separate interrupt tree to express that.

>> Hmm.  There are two "soc" devices here, one nested under the
>> first??
>>
>> I'm assuming these are two levels of busses the opb bus is attached
>> to the plb bus.  Is the "soc" device_type the right way to
>> do this?
>
> Right, OPB hangs off of PLB in this case.  I dunno if "soc" is the 
> right
> device type for them though.

I would use device_type "plb" (or "plb4") and "opb" I think.
Similar to how PCI and ISA etc. busses are represented.

Segher